StringIndexDocValues (Solr 3.6.2 API)
Keywords: org.apache.solr.search.function.StringIndexDocValues class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.search.function
Class StringIndexDocValues

    java.lang.Object
      org.apache.solr.search.function.DocValues
          org.apache.solr.search.function.StringIndexDocValues

    public abstract class StringIndexDocValues

extends DocValues

Internal class, subject to change. Serves as base class for DocValues based on StringIndex

Nested Class Summary
`static class` | `StringIndexDocValues.StringIndexException`

Field Summary
`protected FieldCache.StringIndex` | `index`
`protected String[]` | `lookup`
`protected int[]` | `order`
`protected ValueSource` | `vs`

Constructor Summary
`StringIndexDocValues(ValueSource vs, IndexReader reader, String field)`

Method Summary
`ValueSourceScorer` | `getRangeScorer(IndexReader reader, String lowerVal, String upperVal, boolean includeLower, boolean includeUpper)`
`String` | `toString(int doc)`
`protected abstract String` | `toTerm(String readableValue)`

Methods inherited from class org.apache.solr.search.function.DocValues
`byteVal, byteVal, doubleVal, doubleVal, explain, floatVal, floatVal, getScorer, intVal, intVal, longVal, longVal, shortVal, shortVal, strVal, strVal`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### index

    protected final FieldCache.StringIndex index

### order

    protected final int[] order

### lookup

    protected final String[] lookup

### vs

    protected final ValueSource vs

Constructor Detail

### StringIndexDocValues

    public StringIndexDocValues(ValueSource vs,
                                IndexReader reader,
                                String field)
                         throws IOException

Throws:
  `IOException`

Method Detail

### toTerm

    protected abstract String toTerm(String readableValue)

### getRangeScorer

    public ValueSourceScorer getRangeScorer(IndexReader reader,
                                            String lowerVal,
                                            String upperVal,
                                            boolean includeLower,
                                            boolean includeUpper)

  Overrides:
    `getRangeScorer` in class `DocValues`

### toString

    public String toString(int doc)

  Specified by:
    `toString` in class `DocValues`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD